import React from "react";
import { Icon, MultiVariantIcon } from "./icon";

function createOrbitIcon(source) {
  return props => {
    return React.createElement(Icon, Object.assign({
      source: source
    }, props));
  };
}

function createOrbitMultiVariantIcon(source24, source32) {
  return props => {
    return React.createElement(MultiVariantIcon, Object.assign({
      source24: source24,
      source32: source32
    }, props));
  };
}

import { ReactComponent as PureAddIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-add-24.svg";
import { ReactComponent as PureAddIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-add-32.svg";
import { ReactComponent as PureAddUserIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-add-user-32.svg";
import { ReactComponent as PureArrowIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-arrow-24.svg";
import { ReactComponent as PureArrowIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-arrow-32.svg";
import { ReactComponent as PureCalendarIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-calendar-24.svg";
import { ReactComponent as PureCalendarIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-calendar-32.svg";
import { ReactComponent as PureCheckIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-check-24.svg";
import { ReactComponent as PureCheckIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-check-32.svg";
import { ReactComponent as PureCircleIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-circle-24.svg";
import { ReactComponent as PureCircleIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-circle-32.svg";
import { ReactComponent as PureClearFilterIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-clear-filter-24.svg";
import { ReactComponent as PureClearFilterIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-clear-filter-32.svg";
import { ReactComponent as PureCloseIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-close-24.svg";
import { ReactComponent as PureCloseIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-close-32.svg";
import { ReactComponent as PureCommunicationIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-communication-32.svg";
import { ReactComponent as PureCompareIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-compare-24.svg";
import { ReactComponent as PureCompareIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-compare-32.svg";
import { ReactComponent as PureCsvIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-csv-32.svg";
import { ReactComponent as PureDoNotDisturbIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-do-not-disturb-32.svg";
import { ReactComponent as PureDownloadIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-download-32.svg";
import { ReactComponent as PureEditIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-edit-32.svg";
import { ReactComponent as PureFileIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-file-32.svg";
import { ReactComponent as PureFolderIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-folder-32.svg";
import { ReactComponent as PureGarbageIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-garbage-32.svg";
import { ReactComponent as PureGearIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-gear-32.svg";
import { ReactComponent as PureGroupIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-group-32.svg";
import { ReactComponent as PureHelpIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-help-24.svg";
import { ReactComponent as PureHelpIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-help-32.svg";
import { ReactComponent as PureHorizontalDotsIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-horizontal-dots-32.svg";
import { ReactComponent as PureImageIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-image-32.svg";
import { ReactComponent as PureInfoIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-info-24.svg";
import { ReactComponent as PureInfoIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-info-32.svg";
import { ReactComponent as PureLightbulbIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-lightbulb-24.svg";
import { ReactComponent as PureLightbulbIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-lightbulb-32.svg";
import { ReactComponent as PureMagnifierIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-magnifier-32.svg";
import { ReactComponent as PureMusicIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-music-32.svg";
import { ReactComponent as PureNotificationIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-notification-24.svg";
import { ReactComponent as PureNotificationIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-notification-32.svg";
import { ReactComponent as PurePdfIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-pdf-32.svg";
import { ReactComponent as PurePrinterIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-printer-24.svg";
import { ReactComponent as PurePrinterIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-printer-32.svg";
import { ReactComponent as PurePrivacyIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-privacy-24.svg";
import { ReactComponent as PureReminderIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-reminder-32.svg";
import { ReactComponent as PureRemoveUserIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-remove-user-32.svg";
import { ReactComponent as PureSignoutIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-signout-24.svg";
import { ReactComponent as PureSignoutIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-signout-32.svg";
import { ReactComponent as PureSortingIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-sorting-24.svg";
import { ReactComponent as PureSortingIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-sorting-32.svg";
import { ReactComponent as PureVariationIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-variation-24.svg";
import { ReactComponent as PureVariationIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-variation-32.svg";
import { ReactComponent as PureVerticalDotsIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-vertical-dots-32.svg";
import { ReactComponent as PureVideoIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-video-32.svg";
import { ReactComponent as PureWarningIcon24 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-warning-24.svg";
import { ReactComponent as PureWarningIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-warning-32.svg";
import { ReactComponent as PureZipIcon32 } from "@svgr/webpack?-svgo,+ref!@orbit-ui/icons/dist/icon-zip-32.svg";
export const AddIcon24 = createOrbitIcon(React.createElement(PureAddIcon24, null));
export const AddIcon32 = createOrbitIcon(React.createElement(PureAddIcon32, null));
export const AddUserIcon32 = createOrbitIcon(React.createElement(PureAddUserIcon32, null));
export const ArrowIcon24 = createOrbitIcon(React.createElement(PureArrowIcon24, null));
export const ArrowIcon32 = createOrbitIcon(React.createElement(PureArrowIcon32, null));
export const CalendarIcon24 = createOrbitIcon(React.createElement(PureCalendarIcon24, null));
export const CalendarIcon32 = createOrbitIcon(React.createElement(PureCalendarIcon32, null));
export const CheckIcon24 = createOrbitIcon(React.createElement(PureCheckIcon24, null));
export const CheckIcon32 = createOrbitIcon(React.createElement(PureCheckIcon32, null));
export const CircleIcon24 = createOrbitIcon(React.createElement(PureCircleIcon24, null));
export const CircleIcon32 = createOrbitIcon(React.createElement(PureCircleIcon32, null));
export const ClearFilterIcon24 = createOrbitIcon(React.createElement(PureClearFilterIcon24, null));
export const ClearFilterIcon32 = createOrbitIcon(React.createElement(PureClearFilterIcon32, null));
export const CloseIcon24 = createOrbitIcon(React.createElement(PureCloseIcon24, null));
export const CloseIcon32 = createOrbitIcon(React.createElement(PureCloseIcon32, null));
export const CommunicationIcon32 = createOrbitIcon(React.createElement(PureCommunicationIcon32, null));
export const CompareIcon24 = createOrbitIcon(React.createElement(PureCompareIcon24, null));
export const CompareIcon32 = createOrbitIcon(React.createElement(PureCompareIcon32, null));
export const CsvIcon32 = createOrbitIcon(React.createElement(PureCsvIcon32, null));
export const DoNotDisturbIcon32 = createOrbitIcon(React.createElement(PureDoNotDisturbIcon32, null));
export const DownloadIcon32 = createOrbitIcon(React.createElement(PureDownloadIcon32, null));
export const EditIcon32 = createOrbitIcon(React.createElement(PureEditIcon32, null));
export const FileIcon32 = createOrbitIcon(React.createElement(PureFileIcon32, null));
export const FolderIcon32 = createOrbitIcon(React.createElement(PureFolderIcon32, null));
export const GarbageIcon32 = createOrbitIcon(React.createElement(PureGarbageIcon32, null));
export const GearIcon32 = createOrbitIcon(React.createElement(PureGearIcon32, null));
export const GroupIcon32 = createOrbitIcon(React.createElement(PureGroupIcon32, null));
export const HelpIcon24 = createOrbitIcon(React.createElement(PureHelpIcon24, null));
export const HelpIcon32 = createOrbitIcon(React.createElement(PureHelpIcon32, null));
export const HorizontalDotsIcon32 = createOrbitIcon(React.createElement(PureHorizontalDotsIcon32, null));
export const ImageIcon32 = createOrbitIcon(React.createElement(PureImageIcon32, null));
export const InfoIcon24 = createOrbitIcon(React.createElement(PureInfoIcon24, null));
export const InfoIcon32 = createOrbitIcon(React.createElement(PureInfoIcon32, null));
export const LightbulbIcon24 = createOrbitIcon(React.createElement(PureLightbulbIcon24, null));
export const LightbulbIcon32 = createOrbitIcon(React.createElement(PureLightbulbIcon32, null));
export const MagnifierIcon32 = createOrbitIcon(React.createElement(PureMagnifierIcon32, null));
export const MusicIcon32 = createOrbitIcon(React.createElement(PureMusicIcon32, null));
export const NotificationIcon24 = createOrbitIcon(React.createElement(PureNotificationIcon24, null));
export const NotificationIcon32 = createOrbitIcon(React.createElement(PureNotificationIcon32, null));
export const PdfIcon32 = createOrbitIcon(React.createElement(PurePdfIcon32, null));
export const PrinterIcon24 = createOrbitIcon(React.createElement(PurePrinterIcon24, null));
export const PrinterIcon32 = createOrbitIcon(React.createElement(PurePrinterIcon32, null));
export const PrivacyIcon24 = createOrbitIcon(React.createElement(PurePrivacyIcon24, null));
export const ReminderIcon32 = createOrbitIcon(React.createElement(PureReminderIcon32, null));
export const RemoveUserIcon32 = createOrbitIcon(React.createElement(PureRemoveUserIcon32, null));
export const SignoutIcon24 = createOrbitIcon(React.createElement(PureSignoutIcon24, null));
export const SignoutIcon32 = createOrbitIcon(React.createElement(PureSignoutIcon32, null));
export const SortingIcon24 = createOrbitIcon(React.createElement(PureSortingIcon24, null));
export const SortingIcon32 = createOrbitIcon(React.createElement(PureSortingIcon32, null));
export const VariationIcon24 = createOrbitIcon(React.createElement(PureVariationIcon24, null));
export const VariationIcon32 = createOrbitIcon(React.createElement(PureVariationIcon32, null));
export const VerticalDotsIcon32 = createOrbitIcon(React.createElement(PureVerticalDotsIcon32, null));
export const VideoIcon32 = createOrbitIcon(React.createElement(PureVideoIcon32, null));
export const WarningIcon24 = createOrbitIcon(React.createElement(PureWarningIcon24, null));
export const WarningIcon32 = createOrbitIcon(React.createElement(PureWarningIcon32, null));
export const ZipIcon32 = createOrbitIcon(React.createElement(PureZipIcon32, null));
export const AddIcon = createOrbitMultiVariantIcon(React.createElement(PureAddIcon24, null), React.createElement(PureAddIcon32, null));
export const AddUserIcon = createOrbitMultiVariantIcon(React.createElement(PureAddUserIcon32, null), React.createElement(PureAddUserIcon32, null));
export const ArrowIcon = createOrbitMultiVariantIcon(React.createElement(PureArrowIcon24, null), React.createElement(PureArrowIcon32, null));
export const CalendarIcon = createOrbitMultiVariantIcon(React.createElement(PureCalendarIcon24, null), React.createElement(PureCalendarIcon32, null));
export const CheckIcon = createOrbitMultiVariantIcon(React.createElement(PureCheckIcon24, null), React.createElement(PureCheckIcon32, null));
export const CircleIcon = createOrbitMultiVariantIcon(React.createElement(PureCircleIcon24, null), React.createElement(PureCircleIcon32, null));
export const ClearFilterIcon = createOrbitMultiVariantIcon(React.createElement(PureClearFilterIcon24, null), React.createElement(PureClearFilterIcon32, null));
export const CloseIcon = createOrbitMultiVariantIcon(React.createElement(PureCloseIcon24, null), React.createElement(PureCloseIcon32, null));
export const CommunicationIcon = createOrbitMultiVariantIcon(React.createElement(PureCommunicationIcon32, null), React.createElement(PureCommunicationIcon32, null));
export const CompareIcon = createOrbitMultiVariantIcon(React.createElement(PureCompareIcon24, null), React.createElement(PureCompareIcon32, null));
export const CsvIcon = createOrbitMultiVariantIcon(React.createElement(PureCsvIcon32, null), React.createElement(PureCsvIcon32, null));
export const DoNotDisturbIcon = createOrbitMultiVariantIcon(React.createElement(PureDoNotDisturbIcon32, null), React.createElement(PureDoNotDisturbIcon32, null));
export const DownloadIcon = createOrbitMultiVariantIcon(React.createElement(PureDownloadIcon32, null), React.createElement(PureDownloadIcon32, null));
export const EditIcon = createOrbitMultiVariantIcon(React.createElement(PureEditIcon32, null), React.createElement(PureEditIcon32, null));
export const FileIcon = createOrbitMultiVariantIcon(React.createElement(PureFileIcon32, null), React.createElement(PureFileIcon32, null));
export const FolderIcon = createOrbitMultiVariantIcon(React.createElement(PureFolderIcon32, null), React.createElement(PureFolderIcon32, null));
export const GarbageIcon = createOrbitMultiVariantIcon(React.createElement(PureGarbageIcon32, null), React.createElement(PureGarbageIcon32, null));
export const GearIcon = createOrbitMultiVariantIcon(React.createElement(PureGearIcon32, null), React.createElement(PureGearIcon32, null));
export const GroupIcon = createOrbitMultiVariantIcon(React.createElement(PureGroupIcon32, null), React.createElement(PureGroupIcon32, null));
export const HelpIcon = createOrbitMultiVariantIcon(React.createElement(PureHelpIcon24, null), React.createElement(PureHelpIcon32, null));
export const HorizontalDotsIcon = createOrbitMultiVariantIcon(React.createElement(PureHorizontalDotsIcon32, null), React.createElement(PureHorizontalDotsIcon32, null));
export const ImageIcon = createOrbitMultiVariantIcon(React.createElement(PureImageIcon32, null), React.createElement(PureImageIcon32, null));
export const InfoIcon = createOrbitMultiVariantIcon(React.createElement(PureInfoIcon24, null), React.createElement(PureInfoIcon32, null));
export const LightbulbIcon = createOrbitMultiVariantIcon(React.createElement(PureLightbulbIcon24, null), React.createElement(PureLightbulbIcon32, null));
export const MagnifierIcon = createOrbitMultiVariantIcon(React.createElement(PureMagnifierIcon32, null), React.createElement(PureMagnifierIcon32, null));
export const MusicIcon = createOrbitMultiVariantIcon(React.createElement(PureMusicIcon32, null), React.createElement(PureMusicIcon32, null));
export const NotificationIcon = createOrbitMultiVariantIcon(React.createElement(PureNotificationIcon24, null), React.createElement(PureNotificationIcon32, null));
export const PdfIcon = createOrbitMultiVariantIcon(React.createElement(PurePdfIcon32, null), React.createElement(PurePdfIcon32, null));
export const PrinterIcon = createOrbitMultiVariantIcon(React.createElement(PurePrinterIcon24, null), React.createElement(PurePrinterIcon32, null));
export const PrivacyIcon = createOrbitMultiVariantIcon(React.createElement(PurePrivacyIcon24, null), React.createElement(PurePrivacyIcon24, null));
export const ReminderIcon = createOrbitMultiVariantIcon(React.createElement(PureReminderIcon32, null), React.createElement(PureReminderIcon32, null));
export const RemoveUserIcon = createOrbitMultiVariantIcon(React.createElement(PureRemoveUserIcon32, null), React.createElement(PureRemoveUserIcon32, null));
export const SignoutIcon = createOrbitMultiVariantIcon(React.createElement(PureSignoutIcon24, null), React.createElement(PureSignoutIcon32, null));
export const SortingIcon = createOrbitMultiVariantIcon(React.createElement(PureSortingIcon24, null), React.createElement(PureSortingIcon32, null));
export const VariationIcon = createOrbitMultiVariantIcon(React.createElement(PureVariationIcon24, null), React.createElement(PureVariationIcon32, null));
export const VerticalDotsIcon = createOrbitMultiVariantIcon(React.createElement(PureVerticalDotsIcon32, null), React.createElement(PureVerticalDotsIcon32, null));
export const VideoIcon = createOrbitMultiVariantIcon(React.createElement(PureVideoIcon32, null), React.createElement(PureVideoIcon32, null));
export const WarningIcon = createOrbitMultiVariantIcon(React.createElement(PureWarningIcon24, null), React.createElement(PureWarningIcon32, null));
export const ZipIcon = createOrbitMultiVariantIcon(React.createElement(PureZipIcon32, null), React.createElement(PureZipIcon32, null));